Bug 125600 - i386 kickstart profile attempts to get ia64 up2date
i386 kickstart profile attempts to get ia64 up2date
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Red Hat Satellite QA List
:
Depends On:
Blocks: 145467 454471
  Show dependency treegraph
 
Reported: 2004-06-09 04:42 EDT by Patrick C. F. Ernzer
Modified: 2008-07-29 16:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 13:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2004-06-09 04:42:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The RHN Satellite 3.2.0 (build 12) I have just installed seems to not
correctly determine which up2date it needs to get in %post.

look here:
[...]
wget -P /tmp/rhn_rpms/optional http://<URL
shortened>/0/0/redhat/NULL/pyOpenSSL/0.5.1-8/i386/pyOpenSSL-0.5.1-8.i386.rpm
http://<URL
shortened>/0/0/redhat/NULL/rhnlib/1.3-12/noarch/rhnlib-1.3-12.noarch.rpm
wget -P /tmp/rhn_rpms http://<URL
shortened>/0/0/redhat/NULL/up2date/4.2.16-1/ia64/up2date-4.2.16-1.ia64.rpm
http://<URL
shortened>/0/0/redhat/NULL/up2date-gnome/4.2.16-1/ia64/up2date-gnome-4.2.16-1.ia64.rpm
[...]

The i386 rpm is there though, look:
[root@q4dehicnss0d000 up2date]# cd /var/satellite/redhat/NULL/up2date
[root@q4dehicnss0d000 up2date]# ls -1
4.0.1-1
4.2.14-1
4.2.16-1
4.2.5-1
[root@q4dehicnss0d000 up2date]# cd 4.2.16-1
[root@q4dehicnss0d000 4.2.16-1]# ls -1
i386
ia64
[root@q4dehicnss0d000 4.2.16-1]# ls -R1 *
i386:
up2date-4.2.16-1.i386.rpm
 
ia64:
up2date-4.2.16-1.ia64.rpm


Version-Release number of selected component (if applicable):
rhn-satellite-3.2.0-12-redhat-linux-as-i386-2.1-embedded-oracle.iso
Comment 1 Mihai Ibanescu 2004-06-09 11:31:28 EDT
I am confused. Where is up2date run? On the satellite machine or on
another machine? And which %post section are you talking about?
Comment 2 Patrick C. F. Ernzer 2004-06-09 13:16:02 EDT
Oh, sorry Mihai, that report was indeed way too short.

the section with the wget is from the kickstart file that the
Satellite generated through the Kickstart interface we provide. That
kickstart had rhel-3-as-i386-u1 set as distribution. But, as visible
above, the kickstart tool put in lines that would download ia64 rpms.

up2date is run nowhere, it is the ia64 up2date rpm that is downloaded
on an i386 machine. All this happens in the %post section of teh
kickstart file that opur Satellite generated.
Comment 3 Mihai Ibanescu 2004-06-10 11:13:38 EDT
Gotcha. Reassigning.
Comment 4 Robin Norwood 2005-09-30 22:43:37 EDT
I don't know if this is still a problem or not.
Comment 5 Robin Norwood 2006-10-17 12:10:16 EDT
mass reassign to mmccune
Comment 7 Devan Goodwin 2008-07-25 13:58:59 EDT
Did several tests with ia64 and i386 channels synced on the satellites, appears
this is no longer happening. Even switching back and forth between arches, the
packages always seem to be fetched from the correct location.

Note You need to log in before you can comment on or make changes to this bug.